{if !empty($cHinweis)}<div class="alert alert-success">{$cHinweis}</div>{/if}
{if !empty($cError)}<div class="alert alert-danger">{$cError}</div>{/if}

<form method="post">
    {$jtl_token}
{if !empty($kPlugin)}
    <input type="hidden" name="kPlugin" value="{$kPlugin}"/>
{/if}
    {if !empty($kPluginAdminMenu)}
    <input type="hidden" name="kPluginAdminMenu" value="{$kPluginAdminMenu}"/>
{/if}
    <input type="hidden" name="cssAdminConfigAction" value="saveConfig" />

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Plugin Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Das Plugin ist')}</span>
            </div>
            <select id="pluginActive" name="pluginActive" class="form-control">
                <Option {if $pluginConfig->pluginActive=='Y'} selected {/if} value="Y">{__('Aktiviert')}</Option>
                <Option {if $pluginConfig->pluginActive=='N'} selected {/if} value="N">{__('Deaktiviert')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest ob das Plugin aktiv ist.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('WK Berechnung')}</span>
            </div>
            <select id="cartCalculation" name="cartCalculation" class="form-control">
                <Option {if $pluginConfig->cartCalculation=='P'} selected {/if} value="P">{__('Nur Positionen')}</Option>
                <Option {if $pluginConfig->cartCalculation=='A'} selected {/if} value="A">{__('Gesamtsumme des WK')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Geben Sie an ob Sie nur die Positionswerte oder den gesamten WK einschließlich Rabatte und den Versand berücksichtigen möchten.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <!-- ab hier kommen die individuellen Einstellungen -->
    </fieldset>

    <fieldset class="border p-2 form-group css-min-value">
        <legend class="w-auto">{__('Länderkonfiguration')}</legend>
        {foreach from=$aSelectedCountrys item=oSelectedCountry}
            <div class="input-group mb-3 iso-group ">
                <div class="input-group-prepend input-label" >
                    <span class="input-group-text" style="white-space:normal; text-align:left">{__('Land / Mindestwert in Euro')}</span>
                </div>
                <div class="input-group-append iso-input">
                    <select id="countrys" name="countrys[cISO][]" class="form-control ">
                        {foreach from=$aCountrys item=oCountry name=cssLaender}
                            {if empty($cKontinent) || $cKontinent != $oCountry->cKontinent}
                                <optgroup label="{$oCountry->cKontinent}">
                                {$cKontinent = $oCountry->cKontinent}
                            {/if}
                                <option {if $oCountry->cISO== $oSelectedCountry->ISOCode} selected {/if} value="{$oCountry->cISO}">{$oCountry->cDeutsch}</option>
                            {if !empty($cKontinent1) && $cKontinent1 != $cKontinent || $smarty.foreach.cssLaender.last}
                                {$cKontinent1 = $cKontinent}
                                </optgroup>
                            {/if}
                       {/foreach}
                    </select>
                </div>
                <div class="input-group-append iso-input">
                    <input name="countrys[minValue][]" class="form-control " value="{if (int) $oSelectedCountry->minValue < $oSelectedCountry->minValue}{number_format($oSelectedCountry->minValue,2,".")}{else}{$oSelectedCountry->minValue}{/if}" autocomplete="off">
                </div>
                <div class="input-group-append" style="min-width:60px; max-width:60px">
                    <button title="" data-placement="left" data-toggle="tooltip" data-html="true" class=" btn  btn-block  btn-danger btn-heading css-minus" type="button">
                        <i class="fa fa-trash"></i>
                    </button>
                </div>
                <div class="input-group-append" style="min-width:60px; max-width:60px">
                    <button title="" data-placement="left" data-html="true" class="btn btn-block btn-success btn-heading css-plus" type="button">
                        <i class="fa fa-plus"></i>
                    </button>
                </div>
            </div>
        {/foreach}

    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">{__('Template Konfiguration')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Template Framework')}</span>
            </div>
            <select id="framework" name="framework" class="form-control">
                <Option {if $pluginConfig->framework=='B3'} selected {/if} value="B3">{__('Bootstrap 3 (z.B. EVO)')}</Option>
                <Option {if $pluginConfig->framework=='B4'} selected {/if} value="B4">{__('Bootstrap 4 (z.B. NOVA)')}</Option>
                {if isset($bHasCustom)}
                    <Option {if $pluginConfig->framework=='custom'} selected {/if} value="CU">{__('Custom (Ihre eigene updatesichere Pluginmodifikation)')}</Option>
                {/if}
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier geben Sie an, welches Framework Ihr Template nutzt, Wenn Sie es nicht wissen, fragen Sie bitte den Hersteller des Templates.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


        <fieldset class=" p-2 form-group" style="border:1px solid #5cbcf6; margin:10px 35px; ">
            <legend class="w-auto">{__('Warenkorb Hinweis')}</legend>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Anzeige des Hinweises im Checkout')}</span>
            </div>
            <select id="showModal" name="showModal" class="form-control">
                <Option {if $pluginConfig->showModal=='Y'} selected {/if} value="Y">{__('Modales Fenster')}</Option>
                <Option {if $pluginConfig->showModal=='N'} selected {/if} value="N">{__('im Content')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen Sie fest wie der Hinweis angezeigt werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector')}</span>
            </div>
            <input type="text" name="selector" class="form-control" value="{$pluginConfig->selector}" placeholder="{__('#msgWarning')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="selector_position_detail" name="selector_position" class="form-control">
                <Option {if $pluginConfig->selector_position=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->selector_position=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->selector_position=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->selector_position=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->selector_position=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->selector_position=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        </fieldset>

        <fieldset class=" p-2 form-group" style="border:1px solid #5cbcf6; margin:10px 35px; ">
            <legend class="w-auto">{__('Artikel Hinweis')}</legend>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector')}</span>
            </div>
            <input type="text" name="product_selector" class="form-control" value="{$pluginConfig->product_selector}" placeholder="{__('#msgWarning')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest, wo ein Hinweis beim Artikel angezeigt werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="product_selector_position" name="product_selector_position" class="form-control">
                <Option {if $pluginConfig->product_selector_position=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->product_selector_position=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->product_selector_position=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->product_selector_position=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->product_selector_position=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->product_selector_position=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        </fieldset>

        <fieldset class=" p-2 form-group" style="border:1px solid #5cbcf6; margin:10px 35px; ">
            <legend class="w-auto">{__('Versandkosten Hinweis')}</legend>
        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Selector')}</span>
            </div>
            <input type="text" name="shipping_selector" class="form-control" value="{$pluginConfig->shipping_selector}" placeholder="{__('#msgWarning')}">
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Selectoren fest, wo ein Hinweis bei Abfrage der Versandkosten gezeigt werden soll.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        <div class="input-group mb-3">
            <div class="input-group-prepend" >
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Einfügemethode')}</span>
            </div>
            <select id="shipping_selector_position" name="shipping_selector_position" class="form-control">
                <Option {if $pluginConfig->shipping_selector_position=='off'} selected {/if} value="off">{__('Deaktiviert')}</Option>
                <Option {if $pluginConfig->shipping_selector_position=='prepend'} selected {/if} value="prepend">{__('Am Anfang des Elements')}</Option>
                <Option {if $pluginConfig->shipping_selector_position=='append'} selected {/if} value="append">{__('Am Ende des Elements')}</Option>
                <Option {if $pluginConfig->shipping_selector_position=='before'} selected {/if} value="before" >{__('vor dem Element')}</Option>
                <Option {if $pluginConfig->shipping_selector_position=='after'} selected {/if} value="after" >{__('Nach dem Element')}</Option>
                <Option {if $pluginConfig->shipping_selector_position=='html'} selected {/if} value="html" >{__('Inhalt des Elements ersetzen')}</Option>
            </select>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier legen die Einfügemethode fest oder deaktivieren diese Option.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>
        </fieldset>
    </fieldset>

    <fieldset class="border p-2 form-group">
        <legend class="w-auto">
            {__('Zusätzliche Styles/ JavaScript')}
        </legend>



        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('Styles')}</span>
            </div>
            <textarea data-editor='css' style="min-height:400px" id="css" class="form-control" name="css">{$pluginConfig->css}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf eigene Styles anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>

        <div class="input-group mb-3">
            <div class="input-group-prepend">
                <span class="input-group-text" style="width:200px; white-space:normal; text-align:left">{__('JavaScript')}</span>
            </div>
            <textarea data-editor='javascript' style="min-height:400px" id="javaScript" class="form-control" name="js">{$pluginConfig->js}</textarea>
            <div class="input-group-append">
                <span class="input-group-text">
                    <span data-html="true" data-toggle="tooltip" data-placement="left" title=""
                          data-original-title="{__('Hier k&ouml;nnen Sie je nach bedarf zusätzliches JavaScript anlegen.')}">
                        <span class="fas fa-info-circle fa-fw"></span>
                    </span>
               </span>
            </div>
        </div>


    </fieldset>

<div class="save-wrapper">
    <div class="ml-auto col-sm-6 col-xl-auto">
        <button name="a" type="submit" value="" class="btn btn-outline-primary btn-block save">
            <i class="fas fa-save"></i>&nbsp;{__('Konfiguration speichern')}
        </button>
    </div>
</div>
</form>

